groovy-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel.Sun" <sun...@apache.org>
Subject About the binary distribution of 3.0.0 GA
Date Wed, 12 Feb 2020 08:20:38 GMT
Hi all,

The binary distribution of 3.0.0 GA was built with JDK 8, so it is for Java
8 only. 
If you run the binary distribution on Java 9+, you will get illegal access
warnings, and groovySh can not be launched with IllegalAccessException. The
following issues has been submitted:
https://issues.apache.org/jira/browse/GROOVY-9395
https://issues.apache.org/jira/browse/GROOVY-9390
https://issues.apache.org/jira/browse/GROOVY-9393

If you want Java 8+ support, e.g. Java 11, please build the binary
distribution from the source distribution by yourself, sorry for the
inconvenience...  We will release 3.0.1 soon and its binary distribution
will be for Java 8+

Here are the steps to build the binary distribution from the source
distribution:
> gradle -b wrapper.gradle wrapper
>./gradlew installGroovy


Cheers,
Daniel.Sun



-----
Apache Groovy committer & PMC member 
Blog: http://blog.sunlan.me 
Twitter: @daniel_sun 

--
Sent from: http://groovy.329449.n5.nabble.com/Groovy-Users-f329450.html

Mime
View raw message